local L = LibStub("AceLocale-3.0"):GetLocale("Statslog")

function Statslog:CreateOptions()

	local options = {
		type = "group",
		name = "Statslog",
		args = {
			enable = {
				order = 1,
				name = L["Enable"],
				desc = L["Enables / disables the addon"],
				type = "toggle",
				width = "full",
				set = function(info,val) self.db.profile.enabled = val end,
				get = function(info) return self.db.profile.enabled end
			},
			tag = {
				order = 2,
				name = L["Tag"],
				desc = L["Tag used in log"],
				type = "input",
				width = "double",
				set = function(info,val) self.db.profile.tag = val end,
				get = function(info) return self.db.profile.tag end
			},
			channel = {
				order = 3,
				name = L["Channel ID"],
				desc = L["Channel ID used for output"],
				type = "range",
				width = "double",
				min = 1,
				max = 15,
				step = 1,			  
				set = function(info,val) self.db.profile.channel = val end,
				get = function(info) return self.db.profile.channel end
			}			
		}
	}

	return options
end
